
package com.ejie.ab63.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for TSignAlgType.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * <p>
 * 
 * <pre>
 * &lt;simpleType name="TSignAlgType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PKCS7"/>
 *     &lt;enumeration value="XADES"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TSignAlgType", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TSignAlgType {

	@XmlEnumValue("PKCS7")
	PKCS_7("PKCS7"), XADES("XADES");
	private final String value;

	TSignAlgType(String v) {
		value = v;
	}

	public String value() {
		return value;
	}

	public static TSignAlgType fromValue(String v) {
		for (TSignAlgType c : TSignAlgType.values()) {
			if (c.value.equals(v)) {
				return c;
			}
		}
		throw new IllegalArgumentException(v);
	}

}
